Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class SelectionManager

    ru.biosoft.graphics.editor.ViewPaneAdapter
      |
      +--ru.biosoft.graphics.editor.SelectionManager

Direct Known Subclasses:
  MultipleSelectionManager

public class SelectionManager
extends ViewPaneAdapter

Constructor Summary
`SelectionManager(ViewPane viewPane)`

Method Summary
`void` | `clearSelection()` Removes all selection
`boolean` | `contains(View view)`
`Object[]` | `getSelectedModels()`
`View` | `getSelectedView(int i)`
`int` | `getSelectedViewCount()`
`ViewSelector` | `getViewSelector()`
`void` | `mousePressed(ViewPaneEvent e)`
`void` | `paintSelection(Graphics2D g2)`
`View[]` | `selectModel(Object model, boolean exclusively)`
`View[]` | `selectModels(Object[] models, boolean exclusively)`
`void` | `selectView(View view, boolean exclusively)`
`void` | `setViewSelector(ViewSelector selector)`

Methods inherited from class ru.biosoft.graphics.editor.ViewPaneAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Constructor Detail

### SelectionManager

    public SelectionManager(ViewPane viewPane)

Method Detail

### clearSelection

    public void clearSelection()

  Removes all selection

### contains

    public boolean contains(View view)

### getSelectedModels

    public Object[] getSelectedModels()

### getSelectedView

    public View getSelectedView(int i)

### getSelectedViewCount

    public int getSelectedViewCount()

### getViewSelector

    public ViewSelector getViewSelector()

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  pending selection support

### paintSelection

    public void paintSelection(Graphics2D g2)

### selectModel

    public View[] selectModel(Object model, boolean exclusively)

### selectModels

    public View[] selectModels(Object[] models, boolean exclusively)

### selectView

    public void selectView(View view, boolean exclusively)

### setViewSelector

    public void setViewSelector(ViewSelector selector)

Association Links

to Class ru.biosoft.graphics.editor.ViewPane

to Class ru.biosoft.graphics.editor.ViewSelector

to Class java.util.Vector

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM